For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Incoming Transactions
      • POSTCreate Bulk Transactions Upload URL
      • POSTCreate Audits
      • GETGet Earned Rewards
Get supportSee a Demo
API ReferenceTransactions

Create Incoming Transactions

POST
/v2/issuers/:organizationId/transactions
POST
/v2/issuers/:organizationId/transactions
$curl -X POST https://rewards-api.getkard.com/v2/issuers/organization-123/transactions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "type": "transaction",
> "attributes": {
> "userId": "6FHt5b6Fnp0qdomMEy5AN6PXcSJIeX69",
> "amount": 1000,
> "status": "APPROVED",
> "currency": "USD",
> "description": "ADVANCEAUTO",
> "cardBIN": "123456",
> "cardLastFour": "4321",
> "direction": "DEBIT",
> "paymentType": "CARD",
> "transactionId": "2467de37-cbdc-416d-a359-75de87bfffb0",
> "subtotal": 800,
> "description2": "ADVANCEAUTO",
> "mcc": "1234",
> "authorizationDate": "2021-07-02T17:47:06Z",
> "merchant": {
> "name": "ADVANCEAUTO",
> "id": "12345678901234567",
> "addrStreet": "125 Main St",
> "addrCity": "Philadelphia",
> "addrState": "PA",
> "addrZipcode": "19147",
> "addrCountry": "United States",
> "latitude": "37.9419429",
> "longitude": "-73.1446869",
> "storeId": "12345"
> },
> "authorizationCode": "123456",
> "retrievalReferenceNumber": "100804333919",
> "systemTraceAuditNumber": "333828",
> "acquirerReferenceNumber": "1234567890123456789012345678",
> "cardProductId": "1234567890123456789012345678",
> "processorMids": {
> "processor": "VISA",
> "mids": {
> "vmid": "12345678901",
> "vsid": "12345678"
> }
> }
> },
> "id": "309rjfoincor3icno3rind093cdow3jciwjdwcm"
> }
> ]
>}'
1{
2 "data": {
3 "type": "job",
4 "id": "c94a93a7-beb9-4e58-960c-2c812f849398",
5 "attributes": {
6 "status": "queued",
7 "message": "Incoming Transactions event successfully queued for processing"
8 }
9 }
10}
Call this endpoint to send all transactions made by all your enrolled users in your rewards program. The request body will depend on the transaction type.<br/> Please use the correct type when calling the endpoint: - `transaction`: These incoming transactions will be processed and matched by the Kard system. Learn more about the [Transaction CLO Matching](https://github.com/kard-financial/kard-postman#c-transaction-clo-matching) flow here. - `matchedTransaction`: For pre-matched transactions that need validation on match by the Kard system. - `coreTransaction`: For transactions from core banking systems with limited card-level data.<br/> <b>Required scopes:</b> `transaction:write`<br/> <b>Note:</b> `Maximum of 500 transactions can be created per request`.
Was this page helpful?
Previous

Create Bulk Transactions Upload URL

Next
Built with

Call this endpoint to send all transactions made by all your enrolled users in your rewards program. The request body will depend on the transaction type.
Please use the correct type when calling the endpoint:

  • transaction: These incoming transactions will be processed and matched by the Kard system. Learn more about the Transaction CLO Matching flow here.
  • matchedTransaction: For pre-matched transactions that need validation on match by the Kard system.
  • coreTransaction: For transactions from core banking systems with limited card-level data.

Required scopes: transaction:write
Note: Maximum of 500 transactions can be created per request.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard

Request

This endpoint expects an object.
datalist of objectsRequired

Discriminated union representing the request body for submitting a transaction. Use type to distinguish between the two:

  • transaction: For transactions requiring processing and matching by the Kard system.
  • matchedTransaction: For pre-matched transactions that need validation on match by the Kard system.
  • coreTransaction: For transactions from core banking systems with limited card-level data.

Response

This endpoint returns an object.
dataobject

Errors

207
Create Incoming Transactions Multi Status
400
Invalid Request
401
Unauthorized Error
409
Conflict Error
500
Internal Server Error